Skip to main content
GET
/
v1
/
events
/
{eventId}
/
locations
Get all location details
curl --request GET \
  --url https://api.zuddl.com/v1/events/{eventId}/locations \
  --header 'Authorization: <api-key>'
{
  "pagination": {
    "next": "/{apiEndpoint}?page=3",
    "current": "/{apiEndpoint}?page=2",
    "previous": "/{apiEndpoint}?page=1"
  },
  "data": [
    {
      "kind": "<string>",
      "url": "<string>",
      "id": "4fcebf73-3ddb-4fe6-b56d-5dd7dedb7c3d",
      "name": "Conference Hall A, Tech Park",
      "mapLink": "https://maps.google.com/..."
    }
  ]
}

Authorizations

Authorization
string
header
required

Provide your API key secret in the Authorization header

Path Parameters

eventId
string
required

Unique identifier of the event

Pattern: ^[0-9a-f]{8}-[0-9a-f]{4}-[1-5][0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$

Query Parameters

filter
string

Filter query in format:

Available filters:

  • name: operations [like]
sort
string

Sort query in format:

The following fields are sortable:

  • name
page
number

Page number (default: 1)

size
number

Page size (default: 10, max: 50)

Response

List of locations retrieved successfully

pagination
object
data
object[]